<?php

include "funcs.php";
header("Cache-Control: public");

$relazione = $HTTP_GET_VARS["id"];
$npage = $HTTP_GET_VARS["page"];
$relazionejava = MakeClean($relazione);
$relazione = MakeQuery($relazione);
$Lingua = "<<1-IDlingua>>";
$numart = <<1-search_maxart>>;

$ResultsFileName="results.htm";

$file = fopen($ResultsFileName, "rb");

$TestoResults = fread($file, filesize($ResultsFileName));
fclose($file);

$edStart=strpos(strtoupper($TestoResults), "<ED_START>");
if (is_integer($edStart)) {
	$edStart = $edStart +1;
}
$edStartIn=$edStart+strlen("<ED_START>");
$edEndIn=strpos(strtoupper($TestoResults), "<ED_END>");
if (is_integer($edEndIn)) {
	$edEndIn = $edEndIn +1;
}
$edEnd=$edEndIn+strlen("<ED_END>");
$TestoOut=substr($TestoResults,0,$edStart -1);
print $TestoOut;

$TestoOut=substr($TestoResults, $edStartIn - 1, $edEndIn-$edStartIn);

$artTo=($npage+1)*$numart;
$artFrom=$artTo-$numart+1;

$field = str_replace("0","", "inaccessibile" . $listino);

if (substr($relazione,0,4) == "cod:") {
	$relazione = substr($relazione,4);
	$sql = "SELECT dettaglio.*, contatore FROM dettaglio INNER JOIN ordinamento USING (ID) LEFT JOIN categorie ON dettaglio.CatID = categorie.ID ";
	$sql .= "WHERE (";
	$codici = explode(";",$relazione);
	foreach ($codici as $codice) {
		$codice = trim($codice);
		$sql .= "dettaglio.codice='$codice' OR ";
	}
	$sql .= "1=0) AND dettaglio.codice <> '' AND categorie.nascosto = 0 AND categorie.$field = 0";
} else {
	$sql = "SELECT dettaglio.*, contatore FROM dettaglio INNER JOIN ordinamento USING (ID) LEFT JOIN categorie ON dettaglio.CatID = categorie.ID ";
	$sql .= "WHERE dettaglio.correlazione='$relazione' AND dettaglio.correlazione <>'' AND categorie.nascosto = 0 AND categorie.$field = 0";
}

$resultDet = mysql_query($sql);

$artFound = 0;

while ($rowDet = mysql_fetch_array($resultDet)) {
	$artID = $rowDet["ID"];
	$sql = "SELECT * FROM articoli$Lingua WHERE ID=$artID";
	$resultArt = mysql_query($sql);
	$rowArt = mysql_fetch_array($resultArt);
	$artFound = $artFound + 1;
	$fpagina[$artFound]=$rowArt["pagina"].".php?n=".$rowArt["sottopagina"]."#".$rowDet["contatore"];
	$fcodice[$artFound]=MakeHTML($rowDet["codice"]);
	$ftitolo[$artFound]=MakeHTML($rowArt["plain_titolo"]);
	$fsottotitolo[$artFound]=MakeHTML($rowArt["plain_sottotitolo"]);
	$fimmagine[$artFound]=$rowDet["immagine3"];
}

if ($artTo > $artFound) {$artTo=$artFound;}

for ($i=$artFrom; $i<$artTo +1; $i++) {
	$TestoOut1=$TestoOut;
	$TestoOut1=str_replace('$arg1',$fpagina[$i], $TestoOut1);
	$TestoOut1=str_replace('$arg2',$fcodice[$i], $TestoOut1);
	$TestoOut1=str_replace('$arg3',$ftitolo[$i], $TestoOut1);
	$TestoOut1=str_replace('$arg4',$fsottotitolo[$i], $TestoOut1);
	$TestoOut1=str_replace('$arg5',$fimmagine[$i], $TestoOut1);
	print $TestoOut1;
}

print "<FONT FACE=Arial SIZE=2><<4-articoli_trovati>>: " . $artFound . "</FONT>";

if ($artFound > $numart) {

?>

<SCRIPT LANGUAGE = "JavaScript">

<!--
    function GoToPage(np) {
	document.SearchOn.page.value = np;
	document.SearchOn.submit();
    }
//-->
</SCRIPT>
<FORM NAME="SearchOn" METHOD="GET" ACTION="rel.php">
<INPUT TYPE="HIDDEN" NAME="id" VALUE="<?php echo $relazionejava; ?>">
<INPUT TYPE="HIDDEN" NAME="page" VALUE="0">
<FONT FACE="Arial" SIZE="2"><<4-pagine>>:&nbsp;
<?php
$ni = intval(($artFound -1) / $numart);

for ($i=0; $i < $ni +1; $i++) {
	if ($i != $npage) {
	    print " <A HREF=\"javascript:GoToPage(" . $i . ");\">";
	} else {
	    print " <B>";
	}
	$pagnum = $i + 1;
	print $pagnum;
	if ($i != $npage) {
	    print "</A> ";
	} else {
	    print "</B> ";
	}
	if ($i < $ni) {
	    print " - ";
	}
}
print "</FONT></FORM>";

} else {
	print "<p></p>";
}

$TestoOut=substr($TestoResults, $edEnd - 1);
print $TestoOut;
?>
